Why can my old macbook pro 2015 Monterey 12.0.1 run Traktor Pro 2?

Options

I have and can run Traktor Pro 2 with Kontrol S2 on my old Macbook Pro 2015 with Monterey 12.0.1. I have already spoke to NI chat and they didn't believe me until I provided screenshots. I now have a new iMac Pro and Macbook Pro M1 all running Monterey 12.6. 

I don't understand why I can't download and run Traktor 2 and why it's not an option. NI says it's not compatible but I've proved it is. I also think it's ridiculous that software updates aren't free as other software I have (Novation Circuit, Launchkey, Logic Pro, Final Cut, Adobe products) are free upgrades for life. Of course as tech gets better we need to upgrade hardware so why are we being punished for having to pay for software updates (Traktor Pro 3) because NI can't sort Traktor Pro 2 to work. I paid good money for my Kontrol S2 and Traktor Pro 2 and now I can't use it. In a world where energy costs have risen and the cost of living has increased I don't think this is fair at all. See screenshots of proof of my old Macbook 2015 running Traktor Pro 2 in Monterey 12. Any help/advice/answers would be great! Thank you.


Answers

  • Paule
    Paule Member Posts: 1,327 Expert
    edited October 2022
    Options

    Please contact NI support. We are users only. Support button is on top of this page.

  • Pencilwater
    Pencilwater Member Posts: 2 Newcomer
    Options

    I have contacted them. I was just seeing if anyone else had this issue or any input. Thanks.

Back To Top